# LSB Compliant packages require the following in ~/.rpmmacros
#%_binary_payload	w9.gzdio

Summary: LSB Application Testkit Manager
Vendor: ISPRAS
# name, ver, rel are passed in from make_release.sh so we only have to set them one place
Name: %{name}
Version: %{ver}
Release: %{rel}
Source: %{name}-%{version}.src.tgz
License: GPL
URL: http://www.linux-foundation.org/en/Downloads
Group: Development/Tools
Buildroot: %{_builddir}/%{name}-root
AutoReqProv: no

%description
LSB Application Testkit Manager wraps all the current LSB test applications
into a user-friendly web-based environment with unified test management and
analysis capabilities. This facilitates test execution and results analysis
thus making the LSB tests more attractive for upstream developers as well as
making certification process technically more inviting.

%prep

%setup

%build

%install

rm -rf $RPM_BUILD_ROOT/opt/lsb/app-testkit/manager
mkdir -p $RPM_BUILD_ROOT/opt/lsb/app-testkit/manager
cp -r webui bin utils LICENSE README $RPM_BUILD_ROOT/opt/lsb/app-testkit/manager
cd ..

%files
%defattr(-,root,root)
/opt/lsb/app-testkit/manager
%doc /opt/lsb/app-testkit/manager/README

%post
echo "Installed successfully."
RESULT=0

if [ ! -x /usr/bin/perl ] ; then
	echo
	echo "Warning: Couldn't find  /usr/bin/perl."
	echo "Perl is required for LSB ATK Manager. Please, install it"
	echo "using the tools provided by your distro."
	echo
	RESULT=1
fi

if ! which lsb_release >/dev/null 2>&1; then
	echo
	echo "Warning: Couldn't find the required tool: lsb_release."
	echo "lsb_release should be always present for a LSB compliant distro."
	echo "You could install lsb_release and other LSB components using"
	echo "the tools provided by your distro."
	echo
	RESULT=1
fi

if lsb_release 2>&1 | grep "No LSB modules" >/dev/null 2>&1; then
	echo
	echo "Warning: No LSB modules are available."
	echo "You could install LSB modules using the tools provided by"
	echo "your distro."
	echo
	RESULT=1
fi

# put out a message
echo "__________________________________________________________________________"
echo "ATTENTION!"
echo
echo "This tool runs as the root user!"
echo "Therefore it can do pretty much harm if it gets out of control."
echo "We have tried to make the script reasonably safe but there is no warranty."
echo "Use it at YOUR OWN RISK only, and only if you know what you are doing."
echo
echo "PLEASE DO NOT RUN IT ON A MACHINE THAT HOLDS IMPORTANT DATA, OR PROVIDES"
echo "IMPORTANT SERVICES!"
echo "__________________________________________________________________________"
echo
echo "LSB Application Testkit Manager has been installed to"
echo "/opt/lsb/app-testkit/manager"
if [ $RESULT -ne 0 ]; then
	echo
	echo "There were warnings."
fi
echo
echo "Use /opt/lsb/app-testkit/manager/bin/lsb-atk-start.pl to run LSB ATK Manager."
echo
echo "Read more info at"
echo "http://ispras.linux-foundation.org/index.php/About_LSB_Application_Testkit_Manager"
echo

# End of the postinstall script.

%postun
if [ $1 = "0" -o $1 = "remove" ]; then
	echo " LSB Application Testkit Manager has been uninstalled."
	if [ -d /var/opt/lsb/app-testkit/manager ]; then
		echo " There are files left in /var/opt/lsb/app-testkit/manager. You could delete them all."
	fi
fi

%clean
if [ -e "${RPM_BUILD_ROOT}"  -a "${RPM_BUILD_ROOT}" != "/" ]; then
    rm -rf ${RPM_BUILD_ROOT}
fi
